Bug 577289 - iPhone Tethering Fails
iPhone Tethering Fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
: 612794 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 12:07 EDT by Nathaniel McCallum
Modified: 2011-06-27 11:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2010-03-26 12:07:23 EDT
From /var/log/messages:
Mar 26 12:05:33 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) starting connection '04:1E:64:53:AF:97 PANU'
Mar 26 12:05:33 localhost NetworkManager: <info>  (04:1E:64:53:AF:97): device state change: 3 -> 4 (reason 0)
Mar 26 12:05:33 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) Stage 1 of 5 (Device Prepare) scheduled...
Mar 26 12:05:33 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) Stage 1 of 5 (Device Prepare) started...
Mar 26 12:05:33 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) Stage 2 of 5 (Device Configure) scheduled...
Mar 26 12:05:33 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) Stage 1 of 5 (Device Prepare) complete.
Mar 26 12:05:33 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) Stage 2 of 5 (Device Configure) starting...
Mar 26 12:05:33 localhost NetworkManager: <info>  (04:1E:64:53:AF:97): device state change: 4 -> 5 (reason 0)
Mar 26 12:05:33 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) Stage 2 of 5 (Device Configure) complete.
Mar 26 12:05:33 localhost bluetoothd[24890]: link_key_request (sba=00:21:86:48:7C:96, dba=04:1E:64:53:AF:97)
Mar 26 12:05:34 localhost bluetoothd[24890]: bnep failed
Mar 26 12:05:34 localhost NetworkManager: <WARN>  bluez_connect_cb(): Error connecting with bluez: bnep setup failed
Mar 26 12:05:34 localhost NetworkManager: <info>  (04:1E:64:53:AF:97): device state change: 5 -> 9 (reason 44)
Mar 26 12:05:34 localhost NetworkManager: <info>  Marking connection '04:1E:64:53:AF:97 PANU' invalid.
Mar 26 12:05:34 localhost NetworkManager: <info>  Activation (04:1E:64:53:AF:97) failed.
Mar 26 12:05:34 localhost NetworkManager: <info>  (04:1E:64:53:AF:97): device state change: 9 -> 3 (reason 0)
Mar 26 12:05:34 localhost NetworkManager: <info>  (04:1E:64:53:AF:97): deactivating device (reason: 0).
Mar 26 12:05:34 localhost dbus-daemon: [system] Rejected send message, 2 matched rules; type="error", sender=":1.240" (uid=0 pid=24889 comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error name="org.bluez.Error.Failed" requested_reply=0 destination=":1.229" (uid=0 pid=24494 comm="NetworkManager))
Comment 1 Dan Williams 2010-04-08 20:44:31 EDT
Mar 26 12:05:33 localhost bluetoothd[24890]: link_key_request
(sba=00:21:86:48:7C:96, dba=04:1E:64:53:AF:97)
Mar 26 12:05:34 localhost bluetoothd[24890]: bnep failed

It appears to be a bluetooth bug, not an NM bug.  Reassigning to bluez.
Comment 2 Stephen 2010-04-19 12:12:47 EDT
I have the same problem running Rawhide X64, except I don't get the bluetooth problems.  The cause seems to be reason code 44 in changing from state 5 to state 9, however this reason code doesn't seem to be documented anywhere, only reason codes I have found go up to about 40. My var/log/messages output is :

Apr 19 12:05:00 sjp NetworkManager: <info> Activation (34:15:9E:BB:40:81) starting connection 'spoffley’s iPhone Network' 
Apr 19 12:05:00 sjp NetworkManager: <info> (34:15:9E:BB:40:81): device state change: 3 -> 4 (reason 0) 
Apr 19 12:05:00 sjp NetworkManager: <info> Activation (34:15:9E:BB:40:81) Stage 1 of 5 (Device Prepare) scheduled... 
Apr 19 12:05:00 sjp NetworkManager: <info> Activation (34:15:9E:BB:40:81) Stage 1 of 5 (Device Prepare) started... 
Apr 19 12:05:00 sjp NetworkManager: <info> Activation (34:15:9E:BB:40:81) Stage 2 of 5 (Device Configure) scheduled... 
Apr 19 12:05:00 sjp NetworkManager: <info> Activation (34:15:9E:BB:40:81) Stage 1 of 5 (Device Prepare) complete. 
Apr 19 12:05:00 sjp NetworkManager: <info> Activation (34:15:9E:BB:40:81) Stage 2 of 5 (Device Configure) starting... 
Apr 19 12:05:00 sjp NetworkManager: <info> (34:15:9E:BB:40:81): device state change: 4 -> 5 (reason 0) 
Apr 19 12:05:00 sjp NetworkManager: <info> Activation (34:15:9E:BB:40:81) Stage 2 of 5 (Device Configure) complete. 
Apr 19 12:05:00 sjp bluetoothd[23015]: bnep0 connected 
Apr 19 12:05:02 sjp avahi-daemon[2159]: Registering new address record for fe80::215:83ff:fe15:a1f9 on bnep0.*. 
Apr 19 12:05:03 sjp ntpd[2075]: Listen normally on 10 bnep0 fe80::215:83ff:fe15:a1f9 UDP 123 
Apr 19 12:05:31 sjp NetworkManager: <info> (34:15:9E:BB:40:81): device state change: 5 -> 9 (reason 44) 
Apr 19 12:05:31 sjp NetworkManager: <info> Marking connection 'spoffley’s iPhone Network' invalid. 
Apr 19 12:05:31 sjp NetworkManager: <info> (34:15:9E:BB:40:81): device state change: 9 -> 3 (reason 0) 
Apr 19 12:05:31 sjp NetworkManager: <info> (34:15:9E:BB:40:81): deactivating device (reason: 0). 
Apr 19 12:05:31 sjp avahi-daemon[2159]: Withdrawing address record for fe80::215:83ff:fe15:a1f9 on bnep0. 
Apr 19 12:05:31 sjp dbus-daemon: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.489" (uid=0 pid=23010 comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.509" (uid=0 pid=25240 comm="NetworkManager)) 
Apr 19 12:05:31 sjp bluetoothd[23015]: bnep0 disconnected 
Apr 19 12:05:32 sjp ntpd[2075]: Deleting interface #10 bnep0, fe80::215:83ff:fe15:a1f9#123, interface stats: received=0, sent=0, dropped=0, active_time=29 secs
Comment 3 Bastien Nocera 2011-05-04 10:54:43 EDT
*** Bug 612794 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2011-06-02 11:54:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 11:18:22 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.